Bug 2243424 - openvdb-11.0.0 is available
Summary: openvdb-11.0.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openvdb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-10-11 23:29 UTC by Upstream Release Monitoring
Modified: 2024-02-05 10:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-02-05 10:47:42 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2023-10-11 23:29:21 UTC
Releases retrieved: 10.1.0
Upstream release that is considered latest: 10.1.0
Current version/release in rawhide: 10.0.1-8.fc39
URL: https://www.openvdb.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/21124/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/openvdb

Comment 1 Ben Beasley 2023-10-27 18:12:32 UTC
FYI, this update contains an SONAME version bump[1], so https://bodhi.fedoraproject.org/updates/FEDORA-2023-4e4aee0f2c broke all of the dependent packages:

- OpenImageIO
- blender
- luxcorerender
- openvkl
- prusa-slicer
- usd

Next time there is an SONAME bump, could you please notify the devel list and dependent package maintainers, and use a side tag for rebuilds, in accordance with the Updates Policy[2]?

Here are the dependency relationships among the dependent packages:

OpenImageIO -> (blender, luxcorerender, usd)
blender -> ()
luxcorerender -> ()
openvkl -> ()
prusa-slicer -> ()
usd -> (blender)

This leads to the following topological ordering for rebuilds:

1. (OpenImageIO, openvkl, prusa-slicer)
2. (luxcorerender, usd)
3. (blender)

I’ve opened f40-build-side-76558 and will start coordinating rebuilds into it.

[1] https://src.fedoraproject.org/rpms/openvdb/c/19fcdae5c18defcde884dc877754f9cd9c88f6cc?branch=rawhide
[2] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#_rawhide

Comment 2 Ben Beasley 2023-10-27 18:28:31 UTC
OpenImageIO PR https://src.fedoraproject.org/rpms/OpenImageIO/pull-request/2 merged and building in https://koji.fedoraproject.org/koji/taskinfo?taskID=108189159.

openvkl bug 2246612 updated; it may be built into the side tag or directly into rawhide since none of the other affected packages depends on it

prusa-slicer bug 2246613 updated; FTBFS bug 2217962 must be fixed first, but none of the other other affected packages depends on it

Comment 3 Ben Beasley 2023-10-27 19:18:08 UTC
Notified luxcorerender maintainers, waiting for a rebuild: https://bugzilla.redhat.com/show_bug.cgi?id=2246611#c1

usd rebuilding in https://koji.fedoraproject.org/koji/taskinfo?taskID=108192407

Comment 4 Ben Beasley 2023-10-27 20:42:13 UTC
usd rebuilt; started blender rebuild in https://koji.fedoraproject.org/koji/taskinfo?taskID=108196643

Comment 5 Ben Beasley 2023-10-28 01:29:38 UTC
Merged the side tag with USD, Blender, and OpenImageIO builds in https://bodhi.fedoraproject.org/updates/FEDORA-2023-cbe8ef4af1. The rest can just be rebuilt directly in rawhide.

Comment 6 Upstream Release Monitoring 2023-11-03 12:32:48 UTC
Releases retrieved: 11.0.0
Upstream release that is considered latest: 11.0.0
Current version/release in rawhide: 10.1.0-1.fc40
URL: https://www.openvdb.org/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://docs.fedoraproject.org/en-US/package-maintainers/Upstream_Release_Monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/21124/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/openvdb


Note You need to log in before you can comment on or make changes to this bug.